Page MenuHomeFreeBSD

Update to 0.3.0 and add DOCS options
ClosedPublic

Authored by olivier on Mar 1 2016, 11:38 PM.
Tags
None
Referenced Files
F84816018: D5518.id13959.diff
Tue, May 28, 11:09 PM
F84816009: D5518.id13981.diff
Tue, May 28, 11:09 PM
F84814570: D5518.diff
Tue, May 28, 10:51 PM
F84809335: D5518.diff
Tue, May 28, 9:12 PM
Unknown Object (File)
Thu, May 23, 2:47 PM
Unknown Object (File)
Sat, May 18, 10:11 AM
Unknown Object (File)
Tue, May 7, 6:07 AM
Unknown Object (File)
Apr 26 2024, 5:44 AM
Subscribers

Details

Summary

This is the first patch of a full deforaos desktop environnement port upgrade. Because all others patchs will follow the same template, this first need to be carrefully reviewed.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 2730
Build 2751: arc lint + arc unit

Event Timeline

olivier retitled this revision from to Update to 0.3.0 and add DOCS options.
olivier updated this object.
olivier edited the test plan for this revision. (Show Details)
olivier added reviewers: jadawin, tabthorpe.
devel/deforaos-libsystem/Makefile
34–36

This can be changed to:

IGNORE_FreeBSD_9=this port works only on FreeBSD 10 and newer

And then you don't need the bsd.port.pre.mk include.

Are you sure about IGNORE_FreeBSD_9 ? bsd.port.mk reference only BROKEN_${OPSYS}_${OSREL:R} but not IGNORE_${OPSYS}_${OSREL:R}

BROKEN_FreeBSD_9=<tab>blah blah will works better, I think. Thanks to submit a new review :)

Are you sure about IGNORE_FreeBSD_9 ? bsd.port.mk reference only BROKEN_${OPSYS}_${OSREL:R} but not IGNORE_${OPSYS}_${OSREL:R}

Yes, BROKEN_FreeBSD_9, I was half asleep :-)

olivier edited edge metadata.

Using BROKEN_FreeBSD_9 in place of previous if OSRELEASE

devel/deforaos-libsystem/Makefile
15

Why copying LICENSE_FILE? LGPL3 is a known license.

devel/deforaos-libsystem/Makefile
15

Because you must. The only reason to not use LICENSE_FILE is if there is no distributed license file.

jadawin edited edge metadata.

Approved

This revision is now accepted and ready to land.Mar 2 2016, 2:41 PM
This revision was automatically updated to reflect the committed changes.